Myrinet LANai7 with Linux 2.3.99?

Felix Rauch rauch at
Sat Jun 10 05:47:46 PDT 2000

I hope Myrinet questions are not too off topic for this list.

Is anybody on this list able to load self written MCPs to the new
LANai7 cards on intel-based PCs running Linux 2.3.x?

We just got new LANai7 Myrinet cards and would like to test them with
our own MCPs, but the Myrinet drivers (3.25) from Myricom seem to only
work with 2.2.x kernels. We already ported the old 3.22 drivers to the
new kernel, but before porting the newer 3.25 drivers again (which
contain important changes because of the new card layout), I wanted to
ask if somebody already did the job, or how people (if they do this at
all) load their own MCPs with newer kernels.

- Felix
Felix Rauch                      | Email: rauch at
Institute for Computer Systems   | Homepage:
ETH Zentrum / RZ H18             | Phone: ++41 1 632 7489
CH - 8092 Zuerich / Switzerland  | Fax:   ++41 1 632 1307

More information about the Beowulf mailing list